> ## Documentation Index
> Fetch the complete documentation index at: https://direkt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Currencies

> Search for tokens by address, symbol, or chain.

Search for any token by address, name, or symbol across supported chains.

## Search by term

```bash theme={null}
curl --location 'https://godirekt.xyz/api/currencies' \
  --header 'x-api-key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "chainIds": [56],
    "term": "usdt",
    "verified": true,
    "limit": 20,
    "useExternalSearch": true
  }'
```

**Response:**

```json theme={null}
{
  "success": true,
  "currencies": [
    {
      "chainId": 56,
      "address": "0x55d398326f99059ff775485246999027b3197955",
      "symbol": "USDT",
      "name": "Tether USD",
      "decimals": 18,
      "vmType": "evm",
      "metadata": {
        "logoURI": "https://coin-images.coingecko.com/coins/images/39963/large/usdt.png",
        "verified": true
      }
    }
  ]
}
```

## Search by contract address

```bash theme={null}
curl --location 'https://godirekt.xyz/api/currencies' \
  --header 'x-api-key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "chainIds": [56],
    "address": "0x6B6f93a12705b6eB60490A8b8a9aC15b3B1ce0f2",
    "limit": 20,
    "useExternalSearch": true
  }'
```

**Response:**

```json theme={null}
{
  "success": true,
  "currencies": [
    {
      "chainId": 56,
      "address": "0x6b6f93a12705b6eb60490a8b8a9ac15b3b1ce0f2",
      "symbol": "SNR",
      "name": "StableNaira",
      "decimals": 2,
      "vmType": "evm",
      "metadata": {
        "logoURI": "https://assets.geckoterminal.com/bwa1ujpgkc562s8zewby73jmnekc",
        "verified": false
      }
    }
  ]
}
```

## Response fields

| Field               | Description                       |
| ------------------- | --------------------------------- |
| `chainId`           | Chain the token lives on          |
| `address`           | Token contract address            |
| `symbol`            | Token ticker (e.g. `USDT`)        |
| `name`              | Full token name                   |
| `decimals`          | Token decimal places              |
| `vmType`            | VM type: `evm`, `svm`, `tvm` etc. |
| `metadata.verified` | Whether the token is verified     |
| `metadata.logoURI`  | Token logo image URL              |


## OpenAPI

````yaml POST /api/currencies
openapi: 3.1.0
info:
  title: Direkt API
  description: Accept crypto payments directly — no custodians, no prefunding.
  version: 1.0.0
servers:
  - url: https://godirekt.xyz
    description: Production
security:
  - apiKeyHeader: []
paths:
  /api/currencies:
    post:
      summary: Search currencies
      description: Search for tokens by address, symbol, or chain.
      operationId: getCurrencies
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                chainIds:
                  type: array
                  items:
                    type: integer
                  description: Filter by chain IDs
                  example:
                    - 56
                address:
                  type: string
                  description: Token contract address
                  example: '0x55d398326f99059ff775485246999027b3197955'
                term:
                  type: string
                  description: Search by symbol or name
                  example: usdt
                verified:
                  type: boolean
                  description: Only return verified tokens
                  example: true
                limit:
                  type: integer
                  description: Max results (default 20, max 100)
                  example: 20
                defaultList:
                  type: boolean
                  description: Return default currency list
                includeAllChains:
                  type: boolean
                  description: Include all chains for matched token
                useExternalSearch:
                  type: boolean
                  description: Use 3rd party APIs for unlisted tokens
                  example: true
      responses:
        '200':
          description: Matching currencies
          content:
            application/json:
              example:
                success: true
                currencies:
                  - chainId: 56
                    address: '0x55d398326f99059ff775485246999027b3197955'
                    symbol: USDT
                    name: Tether USD
                    decimals: 18
                    vmType: evm
                    metadata:
                      logoURI: >-
                        https://coin-images.coingecko.com/coins/images/39963/large/usdt.png
                      verified: true
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  currencies:
                    type: array
                    items:
                      type: object
components:
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````